from pydantic import BaseModel, AnyUrl

class BaseConfig(BaseModel):
    base_url: AnyUrl = None
    request_timeout: int = 30
    headers: dict = {}

class PlatformConfig(BaseConfig):
    platform: str
    mode: str
    path: str
    url: AnyUrl = None
    method: str
    request_body: dict = {}
    loop_times: int = 1
    loop_interval: int = 0
    response_parse: dict = {}
    paging: bool = False
    max_pages: int = 0
    parse: dict = {}
    retry_times: int = 0
    feishu_sheetid: str

